Debian Bug report logs - #573187
transition: mpi-defaults

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Manuel Prinz <manuel@debian.org>

Date: Tue, 9 Mar 2010 17:06:02 UTC

Severity: normal

Tags: squeeze-ignore

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 09 Mar 2010 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 09 Mar 2010 17:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: mpi-defaults
Date: Tue, 09 Mar 2010 17:52:02 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear release team,

as requested by Marc Brockschmidt in <87ocj81kt4.fsf@solon.marcbrockschmidt.de>,
I file this bug for the mpi-defaults transition.

As discussed on the Debian Science list, we'd like to get rid of two old
MPI implementations, MPICH (mpich) and LAM/MPI (lam4). Both are not
maintained upstream anymore and have successors already in the archive,
MPICH2 (mpich2) and Open MPI (openmpi), respectively.

The current plan is to EOL MPICH and LAM by removing all reverse
dependencies on those packages. One big step in this direction would be
via mpi-defaults. The current version depends on LAM/MPI for arches
where Open MPI is not supported (yet). A package is prepared that will
depend on MPICH2 on these arches. After uploading that, binNMUs are
needed for the depending packages.

This transition will interfere with the hdf5 transition, as hdf5 does
build MPI-enabled versions.

Bugs have been filed for the remaining packages that do not use
mpi-defaults but depend on an MPI implementation directly. The can be
tracked via [1]. They need to be fixed by sourceful uploads, I only
mention them for reference.

If you have any questions, feel free to ask on the Debian Science
mailing list. And sorry for bringing it up so late in the release
cycle!

Best regards,
Manuel

 [1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=old-mpi-eol;users=debian-science@lists.debian.org

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 17 Mar 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 17 Mar 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Manuel Prinz <manuel@debian.org>, 573187@bugs.debian.org
Cc: debian-science@lists.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 17 Mar 2010 08:33:40 +0100
Hi,

As asked during yesterday's release team meeting, I did a partial
archive rebuild on amd64 with a modified mpi-defaults pointing to mpich2
instead of openmpi. The goal is to detect issues that will show up when
the slower arches are switched to mpich2. (I know the plan is not to
switch amd64 to mpich2)

After searching for /mpi/ in build-depends and depends, I rebuilt the
following 118 packages: advi apbs apron ara arpack
avant-window-navigator blacs-mpi blitz++ boost-defaults boost1.40
boost1.42 bytecode camlp5 ccsm coccinelle code-saturne
compiz-fusion-plugins-extra compiz-fusion-plugins-main
compiz-fusion-plugins-unsupported compiz compizconfig-backend-gconf
compizconfig-backend-kconfig compizconfig-python coq deal.ii dolfin ecs
elmerfem eog epix exempi fftw fpc frama-c gdcm gearhead2 gearhead
geneweb gerris gpiv gpivtools grace gromacs gst-plugins-bad0.10 haxe
hdf5 hedgewars hpcc hypre icecc igstk illuminator imapcopy intercal
ironpython ksplice kwwidgets laby lazarus libcompizconfig libfvm libgpiv
liblicense libmesh libtool life log4cxx lwt m-tx meep-mpich meep-openmpi
meep minc mpb mpi-defaults mpich2 mpich mpqc mseide-msegui mtasc mumble
mumps music mypaint nautilus netpipe nordugrid-arc-nox octave3.0
octave3.2 openmpi paraview petsc pgapack piespy pmk protobuf-c
python-scientific qemu-kvm qemu regina-normal rmpi root-system scala
scalapack scotch slepc spooles ssreflect stlport5.2 tellico tracker
tree-puzzle trilinos tuxguitar vtk why xmds xmpi

The following 11 packages failed to build:
apbs looks for mpi.h in the wrong place
blacs-mpi missing target 'build-mpich2' in debian/rules
gdcm ?
igstk No rule to make target `/usr/lib/libmpi_cxx.so' (?)
kwwidgets No rule to make target `/usr/lib/libmpi_cxx.so'
life matrixpetsc.hpp:49: error: using typ edef-name 'MPI_Win' after
'struct'
mumps ld: cannot find -lblacs-mpich2
petsc Nonexistent directory: /usr/lib/mpich2 for key with-mpi-dir (?)
pgapack cd: 4: can't cd to lib/linux/
rmpi configure: error: "Cannot find mpi.h header file"
scalapack missing target 'build-mpich2' in debian/rules

So, it looks like it is mostly build system bugs, and it should not be
too hard to fix.

All the logs are available in
  http://people.debian.org/~lucas/logs/2010/03/16.mpi/
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 17 Mar 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 17 Mar 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 573187@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 573187@bugs.debian.org, Manuel Prinz <manuel@debian.org>, debian-science@lists.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 17 Mar 2010 09:49:50 +0100
[Message part 1 (text/plain, inline)]
Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:
[test builds for mpi-default switch to mpich2]
> The following 11 packages failed to build:
> apbs looks for mpi.h in the wrong place
> blacs-mpi missing target 'build-mpich2' in debian/rules
> gdcm ?
> igstk No rule to make target `/usr/lib/libmpi_cxx.so' (?)
> kwwidgets No rule to make target `/usr/lib/libmpi_cxx.so'
> life matrixpetsc.hpp:49: error: using typ edef-name 'MPI_Win' after
> 'struct'
> mumps ld: cannot find -lblacs-mpich2
> petsc Nonexistent directory: /usr/lib/mpich2 for key with-mpi-dir (?)
> pgapack cd: 4: can't cd to lib/linux/
> rmpi configure: error: "Cannot find mpi.h header file"
> scalapack missing target 'build-mpich2' in debian/rules

Could bugs about these issues be filed (with a usertag, so we can track
them)?

> So, it looks like it is mostly build system bugs, and it should not be
> too hard to fix.

Good to know, thanks for your work.

I would propose that all (or at least) most of these bugs should be
fixed before we actually do the switch in unstable. Manuel, does that
seem OK to you?

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
163: SMD
       Schwer Montierbare Dinger (Holger Köpke)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 17 Mar 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 17 Mar 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Marc 'HE' Brockschmidt <he@ftwca.de>
Cc: 573187@bugs.debian.org, Manuel Prinz <manuel@debian.org>, debian-science@lists.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 17 Mar 2010 13:24:18 +0100
On 17/03/10 at 09:49 +0100, Marc 'HE' Brockschmidt wrote:
> Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:
> [test builds for mpi-default switch to mpich2]
> > The following 11 packages failed to build:
> > apbs looks for mpi.h in the wrong place
> > blacs-mpi missing target 'build-mpich2' in debian/rules
> > gdcm ?
> > igstk No rule to make target `/usr/lib/libmpi_cxx.so' (?)
> > kwwidgets No rule to make target `/usr/lib/libmpi_cxx.so'
> > life matrixpetsc.hpp:49: error: using typ edef-name 'MPI_Win' after
> > 'struct'
> > mumps ld: cannot find -lblacs-mpich2
> > petsc Nonexistent directory: /usr/lib/mpich2 for key with-mpi-dir (?)
> > pgapack cd: 4: can't cd to lib/linux/
> > rmpi configure: error: "Cannot find mpi.h header file"
> > scalapack missing target 'build-mpich2' in debian/rules
> 
> Could bugs about these issues be filed (with a usertag, so we can track
> them)?
> 
> > So, it looks like it is mostly build system bugs, and it should not be
> > too hard to fix.
> 
> Good to know, thanks for your work.
> 
> I would propose that all (or at least) most of these bugs should be
> fixed before we actually do the switch in unstable. Manuel, does that
> seem OK to you?

Erm. I'm very reluctant to filing bugs that can't easily be reproduced
in unstable. At this point, you need a custom mpi-defaults package to
reproduce them. Also, it is possible that some of them will not be
fixable before the new mpi-defaults is in unstable (= you can't upload a
fixed package that works if the new mpi-defaults isn't in unstable).
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 17 Mar 2010 14:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 17 Mar 2010 14:33:11 GMT) Full text and rfc822 format available.

Message #25 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org, debian-science@lists.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 17 Mar 2010 15:19:10 +0100
Am Mittwoch, den 17.03.2010, 13:24 +0100 schrieb Lucas Nussbaum:
> On 17/03/10 at 09:49 +0100, Marc 'HE' Brockschmidt wrote:
> > Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:
> > > So, it looks like it is mostly build system bugs, and it should not be
> > > too hard to fix.
> > 
> > Good to know, thanks for your work.

Thanks from me as well!

> > I would propose that all (or at least) most of these bugs should be
> > fixed before we actually do the switch in unstable. Manuel, does that
> > seem OK to you?
> 
> Erm. I'm very reluctant to filing bugs that can't easily be reproduced
> in unstable. At this point, you need a custom mpi-defaults package to
> reproduce them. Also, it is possible that some of them will not be
> fixable before the new mpi-defaults is in unstable (= you can't upload a
> fixed package that works if the new mpi-defaults isn't in unstable).

I'm with Lucas here. If we file the bugs before the upload, we should be
very explicit about the fact that it does not concern unstable yet. As a
compromise, we could prepare patches, upload mpi-defaults and file the
bugs with the respective patches. (Or most of them, did not check how
complex the changes are.) This would enable to fix these in a timely
fashion. I could start doing that tomorrow night. How does that sound to
you?

As for user-tagging, we can use the old-mpi-eol usertag.

Best regards,
Manuel






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Sat, 20 Mar 2010 13:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 20 Mar 2010 13:03:09 GMT) Full text and rfc822 format available.

Message #30 received at 573187@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Manuel Prinz <manuel@debian.org>
Cc: 573187@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-science@lists.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Sat, 20 Mar 2010 14:01:56 +0100
[Message part 1 (text/plain, inline)]
Manuel Prinz <manuel@debian.org> writes:
> Am Mittwoch, den 17.03.2010, 13:24 +0100 schrieb Lucas Nussbaum:
>> On 17/03/10 at 09:49 +0100, Marc 'HE' Brockschmidt wrote:
>>> I would propose that all (or at least) most of these bugs should be
>>> fixed before we actually do the switch in unstable. Manuel, does that
>>> seem OK to you? 
>> Erm. I'm very reluctant to filing bugs that can't easily be reproduced
>> in unstable. At this point, you need a custom mpi-defaults package to
>> reproduce them. Also, it is possible that some of them will not be
>> fixable before the new mpi-defaults is in unstable (= you can't upload a
>> fixed package that works if the new mpi-defaults isn't in unstable).
> I'm with Lucas here. If we file the bugs before the upload, we should be
> very explicit about the fact that it does not concern unstable yet. As a
> compromise, we could prepare patches, upload mpi-defaults and file the
> bugs with the respective patches. (Or most of them, did not check how
> complex the changes are.)

That would be great. The point is that transitions suck most once they
are half-started and preparing as much as possible helps to keep the
sucking phase short.

> This would enable to fix these in a timely fashion. I could start
> doing that tomorrow night. How does that sound to you?

Sounds good. Sorry for my delayed answer :-/

> As for user-tagging, we can use the old-mpi-eol usertag.

Sounds good, though I don't know for which user - feel free to use
debian-release@lists.debian.org.

Marc
-- 
BOFH #293:
You must've hit the wrong anykey.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 23 Mar 2010 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Mar 2010 18:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Marc 'HE' Brockschmidt <he@ftwca.de>
Cc: 573187@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 23 Mar 2010 19:11:22 +0100
Am Samstag, den 20.03.2010, 14:01 +0100 schrieb Marc 'HE' Brockschmidt:
> Manuel Prinz <manuel@debian.org> writes:
> > This would enable to fix these in a timely fashion. I could start
> > doing that tomorrow night. How does that sound to you?
> 
> Sounds good. Sorry for my delayed answer :-/

No problem, same here!

I do not have everything sorted out yet but the issues seem to arise
from broken assumptions on where MPI stuff may reside. This is trivial
to fix in some cases and harder in others.

As an example, apbs expects {include,lib} in the same directory, which
is not the case for mpich2 currently. Lucas, do you think we should
"fix" this by providing this layout in the MPI -dev packages
under /usr/lib/{openmpi,mpich2}/? It seems that apbs is not the only
package assuming this but I did not generate numbers on that. It might
be worth to have some consistency here nevertheless, IMHO.

> > As for user-tagging, we can use the old-mpi-eol usertag.
> 
> Sounds good, though I don't know for which user - feel free to use
> debian-release@lists.debian.org.

We have used debian-science@l.d.o, as mentioned in an earlier mail. The
BTS URL is [1].

Best regards,
Manuel

[1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=old-mpi-eol;users=debian-science@lists.debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 23 Mar 2010 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Mar 2010 18:36:06 GMT) Full text and rfc822 format available.

Message #40 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Manuel Prinz <manuel@debian.org>
Cc: Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 23 Mar 2010 19:30:11 +0100
On 23/03/10 at 19:11 +0100, Manuel Prinz wrote:
> Am Samstag, den 20.03.2010, 14:01 +0100 schrieb Marc 'HE' Brockschmidt:
> > Manuel Prinz <manuel@debian.org> writes:
> > > This would enable to fix these in a timely fashion. I could start
> > > doing that tomorrow night. How does that sound to you?
> > 
> > Sounds good. Sorry for my delayed answer :-/
> 
> No problem, same here!
> 
> I do not have everything sorted out yet but the issues seem to arise
> from broken assumptions on where MPI stuff may reside. This is trivial
> to fix in some cases and harder in others.
> 
> As an example, apbs expects {include,lib} in the same directory, which
> is not the case for mpich2 currently. Lucas, do you think we should
> "fix" this by providing this layout in the MPI -dev packages
> under /usr/lib/{openmpi,mpich2}/? It seems that apbs is not the only
> package assuming this but I did not generate numbers on that. It might
> be worth to have some consistency here nevertheless, IMHO.

Given the low number of packages that FTBFS with mpich2 as mpi-default,
I would say that this could be fixed in the failing packages' build
system, no?

"Fixing" that my providing symlinks might cause subtle failures later,
when the package is actually used and thinks that the libs are in some
place while they aren't.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 23 Mar 2010 19:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Mar 2010 19:00:10 GMT) Full text and rfc822 format available.

Message #45 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 23 Mar 2010 19:59:06 +0100
Am Dienstag, den 23.03.2010, 19:30 +0100 schrieb Lucas Nussbaum:
> Given the low number of packages that FTBFS with mpich2 as mpi-default,
> I would say that this could be fixed in the failing packages' build
> system, no?

Sure. It might need some severe patching, though.

> "Fixing" that my providing symlinks might cause subtle failures later,
> when the package is actually used and thinks that the libs are in some
> place while they aren't.

I do not see why it should. It's only relevant a compile time. The real
libs are in /usr/lib, where the linker will find them later, and rpath
is not involved. (The openmpi package has used that setup since
forever.)

Anyway, I'm OK with patching the rules file as well. Time spent on
arguing can be better spent elsewhere. ;)

Best regards,
Manuel





Added blocking bug(s) of 573187: 575259 Request was from Manuel Prinz <manuel@debian.org> to control@bugs.debian.org. (Thu, 25 Mar 2010 16:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Mon, 05 Apr 2010 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Apr 2010 16:06:05 GMT) Full text and rfc822 format available.

Message #52 received at 573187@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Manuel Prinz <manuel@debian.org>
Cc: 573187@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Mon, 05 Apr 2010 17:22:11 +0200
[Message part 1 (text/plain, inline)]
Manuel Prinz <manuel@debian.org> writes:
> Am Dienstag, den 23.03.2010, 19:30 +0100 schrieb Lucas Nussbaum:
>> "Fixing" that my providing symlinks might cause subtle failures later,
>> when the package is actually used and thinks that the libs are in some
>> place while they aren't.
> I do not see why it should. It's only relevant a compile time. The real
> libs are in /usr/lib, where the linker will find them later, and rpath
> is not involved. (The openmpi package has used that setup since
> forever.)
>
> Anyway, I'm OK with patching the rules file as well. Time spent on
> arguing can be better spent elsewhere. ;)

So, did you spend this time on doing fixes already? :-)

It would be great to see at least a few patches for the breaking
packages before the new defaults package is uploaded.

Marc
-- 
BOFH #226:
A star wars satellite accidently blew up the WAN.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 06 Apr 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Apr 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #57 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Marc 'HE' Brockschmidt <he@ftwca.de>
Cc: 573187@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 06 Apr 2010 19:41:04 +0200
[Message part 1 (text/plain, inline)]
Am Montag, den 05.04.2010, 17:22 +0200 schrieb Marc 'HE' Brockschmidt:
> So, did you spend this time on doing fixes already? :-)

Yes, I indeed did. Not as much as I'd liked too, but nevertheless.

> It would be great to see at least a few patches for the breaking
> packages before the new defaults package is uploaded.

I'll just repeat the list of failing packages here and comment on them
group-wise.

Patch available:
      * rmpi: patch attached
      * blacs-mpi: patch attached
      * mumps: Can be rebuild against fixed blacs-mpi

CMake:
      * igstk
      * kwwidgets
CMake does some magic here which I do not understand yet. These seem to
fail because they look for a library openmpi provides but mpich2
doesn't. (Well, at least not under that name.) We might fix that via a
symlink in mpich2, or I've to dive deeper into CMake.

Wrong location of header file (mpi.h) at configure:
      * apbs
      * petsc: almost done, minor issue remaining
There may be more packages in this group, the already patched ones are
also of this type. Most upstream build systems seem to expect
a /foo/{include,lib} hierarchy, and you can only pass the location
of /foo to the build system. Some are flexible enough to work around
that (see patches) but I do not see how to do that for apbs easily.
(It's possible for petsc but my patch has some other issue I have to
track down.) This could easily be fixed it mpich2 would provide this
hierarchy, as we already discussed. It would make the patches much
simpler, some packages of these 11 wouldn't even need patching then. I
think we should reconsider the option of doing the change in mpich2.
(Note: MPICH and LAM did provide this hierarchy, too.)

Remaining packages:
      * life: Might be fixed with petsc, not sure yet.
      * gdcm: Not looked at yet
      * pgapack: Not looked at yet
      * scalapack: Seems to be of type "wrong location", may need no fix

This is the status as of now. I'm working on the remaining patches, but
the proposed change to mpich2 would save us some time here, as it avoids
patching about half of the packages at all. Please let me know what you
think about that.

Best regards,
Manuel
[blacs-mpi_mpich2.patch (text/x-patch, attachment)]
[rmpi_mpich2.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 06 Apr 2010 22:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Apr 2010 22:27:07 GMT) Full text and rfc822 format available.

Message #62 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: balaji@mcs.anl.gov
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 6 Apr 2010 23:52:23 +0200
Hi Pavan,

Could you take a look at http://bugs.debian.org/573187 and at the
message below?

We would like to switch to using mpich2 on the arches where openmpi is
not supported, but some packages fail to build from source when using
mpich2. It seems that for some of them, it is caused by build systems
expecting to find mpi.h in /usr/lib/mpich2/include/ (as it is the case
for other MPI implementations), while it is shipped in
/usr/include/mpich2/.

This seems like something that would be better fixed upstream, even if I
agree that the file location in openmpi is a bit strange. What do you
think?

- Lucas

On 06/04/10 at 19:41 +0200, Manuel Prinz wrote:
> Am Montag, den 05.04.2010, 17:22 +0200 schrieb Marc 'HE' Brockschmidt:
> > So, did you spend this time on doing fixes already? :-)
> 
> Yes, I indeed did. Not as much as I'd liked too, but nevertheless.
> 
> > It would be great to see at least a few patches for the breaking
> > packages before the new defaults package is uploaded.
> 
> I'll just repeat the list of failing packages here and comment on them
> group-wise.
> 
> Patch available:
>       * rmpi: patch attached
>       * blacs-mpi: patch attached
>       * mumps: Can be rebuild against fixed blacs-mpi
> 
> CMake:
>       * igstk
>       * kwwidgets
> CMake does some magic here which I do not understand yet. These seem to
> fail because they look for a library openmpi provides but mpich2
> doesn't. (Well, at least not under that name.) We might fix that via a
> symlink in mpich2, or I've to dive deeper into CMake.
> 
> Wrong location of header file (mpi.h) at configure:
>       * apbs
>       * petsc: almost done, minor issue remaining
> There may be more packages in this group, the already patched ones are
> also of this type. Most upstream build systems seem to expect
> a /foo/{include,lib} hierarchy, and you can only pass the location
> of /foo to the build system. Some are flexible enough to work around
> that (see patches) but I do not see how to do that for apbs easily.
> (It's possible for petsc but my patch has some other issue I have to
> track down.) This could easily be fixed it mpich2 would provide this
> hierarchy, as we already discussed. It would make the patches much
> simpler, some packages of these 11 wouldn't even need patching then. I
> think we should reconsider the option of doing the change in mpich2.
> (Note: MPICH and LAM did provide this hierarchy, too.)
> 
> Remaining packages:
>       * life: Might be fixed with petsc, not sure yet.
>       * gdcm: Not looked at yet
>       * pgapack: Not looked at yet
>       * scalapack: Seems to be of type "wrong location", may need no fix
> 
> This is the status as of now. I'm working on the remaining patches, but
> the proposed change to mpich2 would save us some time here, as it avoids
> patching about half of the packages at all. Please let me know what you
> think about that.
> 
> Best regards,
> Manuel




-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Tue, 06 Apr 2010 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavan Balaji <balaji@mcs.anl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Apr 2010 22:48:03 GMT) Full text and rfc822 format available.

Message #67 received at 573187@bugs.debian.org (full text, mbox):

From: Pavan Balaji <balaji@mcs.anl.gov>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 06 Apr 2010 17:17:13 -0500
Hi Lucas,

I'm a little lost trying to find the platform where the build is 
failing. Can you point me to the exact output?

Thanks,

 -- Pavan

Lucas Nussbaum wrote:
> Hi Pavan,
> 
> Could you take a look at http://bugs.debian.org/573187 and at the
> message below?
> 
> We would like to switch to using mpich2 on the arches where openmpi is
> not supported, but some packages fail to build from source when using
> mpich2. It seems that for some of them, it is caused by build systems
> expecting to find mpi.h in /usr/lib/mpich2/include/ (as it is the case
> for other MPI implementations), while it is shipped in
> /usr/include/mpich2/.
> 
> This seems like something that would be better fixed upstream, even if I
> agree that the file location in openmpi is a bit strange. What do you
> think?
> 
> - Lucas
> 
> On 06/04/10 at 19:41 +0200, Manuel Prinz wrote:
>> Am Montag, den 05.04.2010, 17:22 +0200 schrieb Marc 'HE' Brockschmidt:
>>> So, did you spend this time on doing fixes already? :-)
>> Yes, I indeed did. Not as much as I'd liked too, but nevertheless.
>>
>>> It would be great to see at least a few patches for the breaking
>>> packages before the new defaults package is uploaded.
>> I'll just repeat the list of failing packages here and comment on them
>> group-wise.
>>
>> Patch available:
>>       * rmpi: patch attached
>>       * blacs-mpi: patch attached
>>       * mumps: Can be rebuild against fixed blacs-mpi
>>
>> CMake:
>>       * igstk
>>       * kwwidgets
>> CMake does some magic here which I do not understand yet. These seem to
>> fail because they look for a library openmpi provides but mpich2
>> doesn't. (Well, at least not under that name.) We might fix that via a
>> symlink in mpich2, or I've to dive deeper into CMake.
>>
>> Wrong location of header file (mpi.h) at configure:
>>       * apbs
>>       * petsc: almost done, minor issue remaining
>> There may be more packages in this group, the already patched ones are
>> also of this type. Most upstream build systems seem to expect
>> a /foo/{include,lib} hierarchy, and you can only pass the location
>> of /foo to the build system. Some are flexible enough to work around
>> that (see patches) but I do not see how to do that for apbs easily.
>> (It's possible for petsc but my patch has some other issue I have to
>> track down.) This could easily be fixed it mpich2 would provide this
>> hierarchy, as we already discussed. It would make the patches much
>> simpler, some packages of these 11 wouldn't even need patching then. I
>> think we should reconsider the option of doing the change in mpich2.
>> (Note: MPICH and LAM did provide this hierarchy, too.)
>>
>> Remaining packages:
>>       * life: Might be fixed with petsc, not sure yet.
>>       * gdcm: Not looked at yet
>>       * pgapack: Not looked at yet
>>       * scalapack: Seems to be of type "wrong location", may need no fix
>>
>> This is the status as of now. I'm working on the remaining patches, but
>> the proposed change to mpich2 would save us some time here, as it avoids
>> patching about half of the packages at all. Please let me know what you
>> think about that.
>>
>> Best regards,
>> Manuel
> 
> 
> 
> 

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 07 Apr 2010 02:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavan Balaji <balaji@mcs.anl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 02:06:12 GMT) Full text and rfc822 format available.

Message #72 received at 573187@bugs.debian.org (full text, mbox):

From: Pavan Balaji <balaji@mcs.anl.gov>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Tue, 06 Apr 2010 21:01:24 -0500
Sorry, never mind my previous email.

Lucas Nussbaum wrote:
> We would like to switch to using mpich2 on the arches where openmpi is
> not supported, but some packages fail to build from source when using
> mpich2. It seems that for some of them, it is caused by build systems
> expecting to find mpi.h in /usr/lib/mpich2/include/ (as it is the case
> for other MPI implementations), while it is shipped in
> /usr/include/mpich2/.

By default, mpi.h should installed in $prefix/include, which seems to be 
what you need (prefix = /usr/lib/mpich2). So, unless you give an 
--includedir option to configure, this should work the way you expect it 
to. Maybe I'm not understanding the problem correctly here?

 -- Pavan

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 07 Apr 2010 09:24:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 09:24:28 GMT) Full text and rfc822 format available.

Message #77 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Pavan Balaji <balaji@mcs.anl.gov>
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 7 Apr 2010 11:12:37 +0200
On 06/04/10 at 21:01 -0500, Pavan Balaji wrote:
> 
> Sorry, never mind my previous email.
> 
> Lucas Nussbaum wrote:
> >We would like to switch to using mpich2 on the arches where openmpi is
> >not supported, but some packages fail to build from source when using
> >mpich2. It seems that for some of them, it is caused by build systems
> >expecting to find mpi.h in /usr/lib/mpich2/include/ (as it is the case
> >for other MPI implementations), while it is shipped in
> >/usr/include/mpich2/.
> 
> By default, mpi.h should installed in $prefix/include, which seems
> to be what you need (prefix = /usr/lib/mpich2). So, unless you give
> an --includedir option to configure, this should work the way you
> expect it to. Maybe I'm not understanding the problem correctly
> here?

We are currently using prefix=/usr and includedir=/usr/include/mpich2,
so libs get installed directly in /usr/lib, and header files are in
/usr/include/mpich2.

We could use includedir=/usr/lib/mpich2/include, but I'm still not sure
that this is the correct way to solve that problem, instead of fixing
the build systems to be more tolerant about the location of MPI header
files.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 07 Apr 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavan Balaji <balaji@mcs.anl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #82 received at 573187@bugs.debian.org (full text, mbox):

From: Pavan Balaji <balaji@mcs.anl.gov>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 07 Apr 2010 13:12:13 -0500
Lucas Nussbaum wrote:
> On 06/04/10 at 21:01 -0500, Pavan Balaji wrote:
>> By default, mpi.h should installed in $prefix/include, which seems
>> to be what you need (prefix = /usr/lib/mpich2). So, unless you give
>> an --includedir option to configure, this should work the way you
>> expect it to. Maybe I'm not understanding the problem correctly
>> here?
> 
> We are currently using prefix=/usr and includedir=/usr/include/mpich2,
> so libs get installed directly in /usr/lib, and header files are in
> /usr/include/mpich2.
> 
> We could use includedir=/usr/lib/mpich2/include, but I'm still not sure
> that this is the correct way to solve that problem, instead of fixing
> the build systems to be more tolerant about the location of MPI header
> files.

Ok, this is the part I didn't understand fully. Is MPICH2's build 
failing when includedir is specified as a different location? (I just 
tried that on my machine and it seems to work correctly for me.) Or did 
you mean some other package depending on MPICH2 is failing?

 -- Pavan

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 07 Apr 2010 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 20:03:08 GMT) Full text and rfc822 format available.

Message #87 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Pavan Balaji <balaji@mcs.anl.gov>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 07 Apr 2010 21:56:13 +0200
Am Mittwoch, den 07.04.2010, 13:12 -0500 schrieb Pavan Balaji:
> Ok, this is the part I didn't understand fully. Is MPICH2's build 
> failing when includedir is specified as a different location? (I just 
> tried that on my machine and it seems to work correctly for me.) Or did 
> you mean some other package depending on MPICH2 is failing?

Packages depending on MPICH2 are failing to build. This is not an issue
with MPICH2, but thanks for taking the time to look into it!

The problem is that a lot of build systems of MPI-using software want
the headers in $prefix/include and the libs in $prefix/lib, and on can
often only use $prefix to point to the location of MPI-relevant files.
The Debian package of MPICH2 uses $prefix/lib and $prefix/include/mpich2
which a lot of build systems do not like or handle correctly. This is
why the openmpi package uses --prefix=/usr/lib/openmpi to build and
symlinks the libraries to /usr/lib. This way, everything works as
expected. Not pretty, but effective. The questions is whether we apply
that change to the mpich2 package, as it was for all MPI packages in
Debian so far, or fix every broken build system out there. [0]

Still waiting for the day when MPI standardizes on ABI, not API… But
that may be wishful thinking.

Best regards,
Manuel

[0] Preferably, we would fix the build system. As far as Open MPI is
concerned, the /usr/lib/openmpi/{lib,include} hierarchy was requested by
a user since he had the very same problem.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Thu, 08 Apr 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavan Balaji <balaji@mcs.anl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 08 Apr 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #92 received at 573187@bugs.debian.org (full text, mbox):

From: Pavan Balaji <balaji@mcs.anl.gov>
To: Manuel Prinz <manuel@debian.org>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Thu, 08 Apr 2010 18:22:18 -0500
Manuel Prinz wrote:
> The problem is that a lot of build systems of MPI-using software want
> the headers in $prefix/include and the libs in $prefix/lib, and on can
> often only use $prefix to point to the location of MPI-relevant files.
> The Debian package of MPICH2 uses $prefix/lib and $prefix/include/mpich2
> which a lot of build systems do not like or handle correctly. This is
> why the openmpi package uses --prefix=/usr/lib/openmpi to build and
> symlinks the libraries to /usr/lib. This way, everything works as
> expected. Not pretty, but effective. The questions is whether we apply
> that change to the mpich2 package, as it was for all MPI packages in
> Debian so far, or fix every broken build system out there. [0]

If we choose to do the first approach, what exactly needs to change in 
the mpich2 source? It looks like this is more of a packaging issue for 
Debian?

> Still waiting for the day when MPI standardizes on ABI, not API… But
> that may be wishful thinking.

We were having a discussion about a common ABI in the context of MPI-3. 
But that working group fizzled out. I'll check on what exactly happened 
with it in the next meeting (in May). Even if the MPI standard doesn't 
specify ABI compatibility, I'll talk to the Open MPI folks to see if 
MPICH2 and Open MPI do whatever the ABI working group was proposing 
outside of the standard, which might be sufficient for you guys.

 -- Pavan

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Fri, 09 Apr 2010 12:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Apr 2010 12:42:08 GMT) Full text and rfc822 format available.

Message #97 received at 573187@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Pavan Balaji <balaji@mcs.anl.gov>, 573187@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>, Marc 'HE' Brockschmidt <he@ftwca.de>
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Fri, 9 Apr 2010 12:09:20 +0200
On 08/04/10 at 18:22 -0500, Pavan Balaji wrote:
> Manuel Prinz wrote:
> >The problem is that a lot of build systems of MPI-using software want
> >the headers in $prefix/include and the libs in $prefix/lib, and on can
> >often only use $prefix to point to the location of MPI-relevant files.
> >The Debian package of MPICH2 uses $prefix/lib and $prefix/include/mpich2
> >which a lot of build systems do not like or handle correctly. This is
> >why the openmpi package uses --prefix=/usr/lib/openmpi to build and
> >symlinks the libraries to /usr/lib. This way, everything works as
> >expected. Not pretty, but effective. The questions is whether we apply
> >that change to the mpich2 package, as it was for all MPI packages in
> >Debian so far, or fix every broken build system out there. [0]
> 
> If we choose to do the first approach, what exactly needs to change
> in the mpich2 source? It looks like this is more of a packaging
> issue for Debian?

Yes, sorry. Mpich2 provides enough configure options for us to put
the files where we want in any case. But since there's only a handful of
packages failing to build because of that, I still prefer to fix it in
the build system of those packages.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Fri, 09 Apr 2010 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Apr 2010 15:57:07 GMT) Full text and rfc822 format available.

Message #102 received at 573187@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Pavan Balaji <balaji@mcs.anl.gov>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Fri, 09 Apr 2010 17:52:46 +0200
Am Donnerstag, den 08.04.2010, 18:22 -0500 schrieb Pavan Balaji:
> If we choose to do the first approach, what exactly needs to change in 
> the mpich2 source? It looks like this is more of a packaging issue for 
> Debian?

As Lucas already said, we're already happy with what MPICH2 provides.
But thanks for your offer!

> We were having a discussion about a common ABI in the context of MPI-3. 
> But that working group fizzled out. I'll check on what exactly happened 
> with it in the next meeting (in May). Even if the MPI standard doesn't 
> specify ABI compatibility, I'll talk to the Open MPI folks to see if 
> MPICH2 and Open MPI do whatever the ABI working group was proposing 
> outside of the standard, which might be sufficient for you guys.

That would be very cool indeed! I had some chat with Jeff Squyres (Open
MPI upstream) about that a while ago. Maybe you could put your heads
together on this. Having it in the standard would of course be super
cool, as it would allow to use other MPI implementations as well without
much hassle.[1]

Lucas, for this transition I will to fix the build systems, or at least
work around them. But we should get in touch after the release about
some MPI mini-policy.[2] I hope to have all patches working by the end
of the weekend, hopefully earlier.

Best regards,
Manuel

[1] Not that I'm for using proprietary stuff but I know some our users
do care for that. And so we should have that in mind. Getting to the
point where BLAS/LAPACK is (well, almost) would save us some serious
headaches. ;)

[2] There are a few more problems we do not have a solution for yet, but
getting rid of LAM and MPICH is one of the major blockers, IMHO.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Fri, 09 Apr 2010 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavan Balaji <balaji@mcs.anl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Apr 2010 21:21:03 GMT) Full text and rfc822 format available.

Message #107 received at 573187@bugs.debian.org (full text, mbox):

From: Pavan Balaji <balaji@mcs.anl.gov>
To: Manuel Prinz <manuel@debian.org>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@ftwca.de>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Fri, 09 Apr 2010 16:18:30 -0500
Manuel Prinz wrote:
> Am Donnerstag, den 08.04.2010, 18:22 -0500 schrieb Pavan Balaji:
>> We were having a discussion about a common ABI in the context of MPI-3. 
>> But that working group fizzled out. I'll check on what exactly happened 
>> with it in the next meeting (in May). Even if the MPI standard doesn't 
>> specify ABI compatibility, I'll talk to the Open MPI folks to see if 
>> MPICH2 and Open MPI do whatever the ABI working group was proposing 
>> outside of the standard, which might be sufficient for you guys.
> 
> That would be very cool indeed! I had some chat with Jeff Squyres (Open
> MPI upstream) about that a while ago. Maybe you could put your heads
> together on this. Having it in the standard would of course be super
> cool, as it would allow to use other MPI implementations as well without
> much hassle.[1]

I'll talk to Jeff. This had come up in another meeting last November and 
Jeff and I talked about doing this. But we never followed up on it; the 
problem is that this will require quite a few changes in one or both MPI 
implementations. More importantly, both MPICH2 and Open MPI have 
derivative implementations (Intel MPI, IBM MPI, Cray MPI, Microsoft MPI, 
MVAPICH2, etc., for MPICH2, and Sun MPI (renamed to Oracle MPI) for Open 
MPI) that we would need to coordinate with. This can potentially be a 
big change for them.

Also, there is some concern amongst MPI developers that we might need to 
break ABI compatibility once in a while. For example, we recently had to 
increase the value of MPI_MAX_ERROR_STRING, which breaks ABI 
compatibility, but was required. So, we need some sort of escape hatch 
to get around such issues.

I'll try to see what can be done, but no promises :-).

 -- Pavan

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 02 Jun 2010 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 02 Jun 2010 18:09:02 GMT) Full text and rfc822 format available.

Message #112 received at 573187@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Manuel Prinz <manuel@debian.org>, 573187@bugs.debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 02 Jun 2010 19:06:06 +0100
Hi,

On Tue, 2010-03-09 at 17:52 +0100, Manuel Prinz wrote:
> The current plan is to EOL MPICH and LAM by removing all reverse
> dependencies on those packages. One big step in this direction would be
> via mpi-defaults. The current version depends on LAM/MPI for arches
> where Open MPI is not supported (yet). A package is prepared that will
> depend on MPICH2 on these arches. After uploading that, binNMUs are
> needed for the depending packages.

How is this transition progressing?  I note that there are still 10 open
bugs listed at [1].

>  [1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=old-mpi-eol;users=debian-science@lists.debian.org

Regards,

Adam




Added tag(s) squeeze-ignore. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 06 Aug 2010 18:27:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 23:09:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573187: 652258 and 661658 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 23:27:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573187: 661659 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 23:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 29 Feb 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 29 Feb 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #125 received at 573187@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 573187@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 29 Feb 2012 01:18:06 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jun  2, 2010 at 19:06:06 +0100, Adam D. Barratt wrote:

> Hi,
> 
> On Tue, 2010-03-09 at 17:52 +0100, Manuel Prinz wrote:
> > The current plan is to EOL MPICH and LAM by removing all reverse
> > dependencies on those packages. One big step in this direction would be
> > via mpi-defaults. The current version depends on LAM/MPI for arches
> > where Open MPI is not supported (yet). A package is prepared that will
> > depend on MPICH2 on these arches. After uploading that, binNMUs are
> > needed for the depending packages.
> 
> How is this transition progressing?  I note that there are still 10 open
> bugs listed at [1].
> 
> >  [1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=old-mpi-eol;users=debian-science@lists.debian.org
> 
The new mpi-defaults was uploaded to sid in December, here's the current
state.

Reverse-dependencies of lam left in testing:
- apbs; binNMUs scheduled
- cctools; fixed in unstable, but FTBFS (#661658)
- clustalw-mpi; needs a bug filed
- fftw; binNMUs scheduled
- gerris; FTBFS (#652258)
- ghemical; binNMUs scheduled
- hdf5; needs #631019 sorted so libhdf5-lam-1.8.4 can be removed
- hpcc; binNMUs scheduled
- libghemical; binNMUs scheduled
- libgpiv; FTBFS (#657199)
- mpqc; FTBFS on mips, given back for now
- mrbayes; unbuildable on kfreebsd (#661659, #661663)
- mumps; in the middle of a SONAME bump (#650642, #659898, #651452,
  something else with getdp, petsc/slepc's own bumps
- netpipe; #571449
- parmetis; binNMUs scheduled
- regina-normal; binNMUs scheduled
- rmpi; binNMUs scheduled
- starpu; binNMUs scheduled
- tessa; fixed in sid
- xmpi; #571448, should apparently be removed

Reverse-dependencies of mpich left in testing:
- meep; #661661
- netpipe; see above
- xmds; fixed in sid

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 573187: 571449, 661663, 661661, 631019, and 657199 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 00:33:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573187: 661740 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 21:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Thu, 01 Mar 2012 23:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 01 Mar 2012 23:36:15 GMT) Full text and rfc822 format available.

Message #134 received at 573187@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 573187@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>, sylvestre@debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Fri, 2 Mar 2012 00:35:12 +0100
[Message part 1 (text/plain, inline)]
On Wed, Feb 29, 2012 at 01:18:06 +0100, Julien Cristau wrote:

> The new mpi-defaults was uploaded to sid in December, here's the current
> state.
> 
> Reverse-dependencies of lam left in testing:
> - apbs; binNMUs scheduled

mips failed, the rest are ok.

> - cctools; fixed in unstable, but FTBFS (#661658)
> - clustalw-mpi; needs a bug filed

Filed, and closed.  But will need builds on a bunch of archs.

> - fftw; binNMUs scheduled

All built, looks like mips/mipsel had expired keys so will need a
reupload once that's sorted.

> - gerris; FTBFS (#652258)
> - ghemical; binNMUs scheduled

Failed (because mpqc was still built against lam, I think).  Should be
given back I guess.

> - hdf5; needs #631019 sorted so libhdf5-lam-1.8.4 can be removed
> - hpcc; binNMUs scheduled

Will need a reupload on mips once keys are sorted.

> - libghemical; binNMUs scheduled

Failed because of #661674 I think.

> - libgpiv; FTBFS (#657199)
> - mpqc; FTBFS on mips, given back for now
> - mrbayes; unbuildable on kfreebsd (#661659, #661663)
> - mumps; in the middle of a SONAME bump (#650642, #659898, #651452,
>   something else with getdp, petsc/slepc's own bumps
> - netpipe; #571449
> - parmetis; binNMUs scheduled
> - regina-normal; binNMUs scheduled

Looks ok so far.

> - rmpi; binNMUs scheduled

FTBFS, needs a bug filed.

> - starpu; binNMUs scheduled

Looks ok modulo buildd key issues.

> - tessa; fixed in sid

Needs a fixed pytables before it can migrate.

> - xmpi; #571448, should apparently be removed
> 
> Reverse-dependencies of mpich left in testing:
> - meep; #661661
> - netpipe; see above
> - xmds; fixed in sid
> 
xmds now fixed in wheezy as well.

Cheers,
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 14 Mar 2012 20:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 14 Mar 2012 20:36:13 GMT) Full text and rfc822 format available.

Message #139 received at 573187@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 573187@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>, sylvestre@debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 14 Mar 2012 21:34:45 +0100
[Message part 1 (text/plain, inline)]
On Fri, Mar  2, 2012 at 00:35:12 +0100, Julien Cristau wrote:

> > Reverse-dependencies of lam left in testing:
> > - apbs; binNMUs scheduled
> 
> mips failed, the rest are ok.
> 
Filed a bug for the mips FTBFS (#663894)

> > - cctools; fixed in unstable, but FTBFS (#661658)

Still unfixed.

> > - clustalw-mpi; needs a bug filed
> 
> Filed, and closed.  But will need builds on a bunch of archs.
> 
Still unfixed.

> > - fftw; binNMUs scheduled
> 
> All built, looks like mips/mipsel had expired keys so will need a
> reupload once that's sorted.
> 
Fixed.

> > - gerris; FTBFS (#652258)

Still unfixed.

> > - ghemical; binNMUs scheduled
> 
> Failed (because mpqc was still built against lam, I think).  Should be
> given back I guess.
> 
Given back now.

> > - hdf5; needs #631019 sorted so libhdf5-lam-1.8.4 can be removed

Still true.

> > - hpcc; binNMUs scheduled
> 
> Will need a reupload on mips once keys are sorted.
> 
Fixed.

> > - libghemical; binNMUs scheduled
> 
> Failed because of #661674 I think.
> 
Given back.

> > - libgpiv; FTBFS (#657199)
> > - mpqc; FTBFS on mips, given back for now
> > - mrbayes; unbuildable on kfreebsd (#661659, #661663)

All three still unfixed AFAICT.

> > - mumps; in the middle of a SONAME bump (#650642, #659898, #651452,
> >   something else with getdp, petsc/slepc's own bumps

This one's now gone.

> > - netpipe; #571449

Still unfixed.

> > - parmetis; binNMUs scheduled
> > - regina-normal; binNMUs scheduled
> 
Fixed.

> > - rmpi; binNMUs scheduled
> 
> FTBFS, needs a bug filed.
> 
Filed .

> > - starpu; binNMUs scheduled
> 
> Looks ok modulo buildd key issues.
> 
Fixed.

> > - tessa; fixed in sid
> 
> Needs a fixed pytables before it can migrate.
> 
Still an issue, pytables is blocked by a numexpr bug AIUI.

> > - xmpi; #571448, should apparently be removed

I'll remove it from testing now.

I'd appreciate some help from the mpi maintainers to make progress here.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573187; Package release.debian.org. (Wed, 28 Mar 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Mar 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #144 received at 573187@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 573187@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>, sylvestre@debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Wed, 28 Mar 2012 21:42:09 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 14, 2012 at 21:34:45 +0100, Julien Cristau wrote:

> On Fri, Mar  2, 2012 at 00:35:12 +0100, Julien Cristau wrote:
> 
> > > Reverse-dependencies of lam left in testing:
> > > - apbs; binNMUs scheduled
> > 
> > mips failed, the rest are ok.
> > 
> Filed a bug for the mips FTBFS (#663894)
> 
Maintainer says it works on another buildd, given back for now.

> > > - cctools; fixed in unstable, but FTBFS (#661658)
> 
> Still unfixed.
> 
Blocked by python2.7 FTBFS.

> > > - clustalw-mpi; needs a bug filed
> > 
> > Filed, and closed.  But will need builds on a bunch of archs.
> > 
> Still unfixed.
> 
> > > - gerris; FTBFS (#652258)
> 
> Still unfixed.
> 
> > > - ghemical; binNMUs scheduled
> > 
> > Failed (because mpqc was still built against lam, I think).  Should be
> > given back I guess.
> > 
> Given back now.
> 
Still failing with lam references somehow.

> > > - hdf5; needs #631019 sorted so libhdf5-lam-1.8.4 can be removed
> 
> Still true.
> 
> > > - libgpiv; FTBFS (#657199)

Fixed.

> > > - mpqc; FTBFS on mips, given back for now

new version FTBFS on armel, #666110.

> > > - mrbayes; unbuildable on kfreebsd (#661659, #661663)
> 
mrbayes will be handled by removing it on kbsd.

> > > - netpipe; #571449
> 
> Still unfixed.
> 
> > > - rmpi; binNMUs scheduled
> > 
> > FTBFS, needs a bug filed.

That's #663896.

> > > - tessa; fixed in sid
> > 
> > Needs a fixed pytables before it can migrate.
> > 
> Still an issue, pytables is blocked by a numexpr bug AIUI.
> 
[...]
> I'd appreciate some help from the mpi maintainers to make progress here.
> 
Ping?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 11:24:44 GMT) Full text and rfc822 format available.

Notification sent to Manuel Prinz <manuel@debian.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 11:24:50 GMT) Full text and rfc822 format available.

Message #149 received at 573187-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 573187-done@bugs.debian.org
Cc: Manuel Prinz <manuel@debian.org>, sylvestre@debian.org
Subject: Re: Bug#573187: transition: mpi-defaults
Date: Sun, 13 May 2012 13:23:34 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 28, 2012 at 21:42:09 +0200, Julien Cristau wrote:

> On Wed, Mar 14, 2012 at 21:34:45 +0100, Julien Cristau wrote:
> 
> > On Fri, Mar  2, 2012 at 00:35:12 +0100, Julien Cristau wrote:
> > 
> > > > Reverse-dependencies of lam left in testing:
> > > > - apbs; binNMUs scheduled
> > > 
> > > mips failed, the rest are ok.
> > > 
> > Filed a bug for the mips FTBFS (#663894)
> > 
> Maintainer says it works on another buildd, given back for now.
> 
Finally built.

> > > > - cctools; fixed in unstable, but FTBFS (#661658)
> > 
> > Still unfixed.
> > 
> Blocked by python2.7 FTBFS.
> 
Fixed.

> > > > - clustalw-mpi; needs a bug filed
> > > 
> > > Filed, and closed.  But will need builds on a bunch of archs.
> > > 
> > Still unfixed.

Old builds were removed.

> > > > - gerris; FTBFS (#652258)
> > 
> > Still unfixed.

Will remove from testing.

> > > > - ghemical; binNMUs scheduled
> > > 
> > > Failed (because mpqc was still built against lam, I think).  Should be
> > > given back I guess.
> > > 
> > Given back now.
> > 
> Still failing with lam references somehow.
> 
Fixed.

> > > > - hdf5; needs #631019 sorted so libhdf5-lam-1.8.4 can be removed
> > 
> > Still true.

Fixed a while back.

> > > > - mpqc; FTBFS on mips, given back for now
> 
> new version FTBFS on armel, #666110.
> 
Fixed.

> > > > - netpipe; #571449
> > 
> > Still unfixed.

Camm wants to keep lam.

> > > > - rmpi; binNMUs scheduled
> > > 
> > > FTBFS, needs a bug filed.
> 
> That's #663896.
> 
I'll remove rmpi from testing.

> > > > - tessa; fixed in sid
> > > 
> > > Needs a fixed pytables before it can migrate.
> > > 
> > Still an issue, pytables is blocked by a numexpr bug AIUI.

Fixed.

> [...]
> > I'd appreciate some help from the mpi maintainers to make progress here.
> > 
> Ping?
> 
So that didn't work out so well.

Anyway.  With gerris and rmpi removed from testing, that leaves xmpi and
netpipe as lam reverse dependencies, and Camm wants to keep them for
some reason, so I consider this done and close this bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:56:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:00:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.